import addWordScene from '../../Scenes/addWord';
import showWordsScene from '../../Scenes/showWords';
import { backBtn, cancelBtn, saveBtn, skipBtn } from '../../helpers/buttons';
import { type TMiddleware } from '../../types';

const greeting: TMiddleware = async (ctx) => {
    await ctx.sendMessage(`Инструкция по работе с ботом:\n`
        // ----------------------------------------------------------
        + `/${addWordScene.cmd} - ${addWordScene.label}:\n`
        //
        + `\tСлово на иностранном языке и его перевод вводить обязательно.\n`
        //
        + `Дополнительные переводы - когда слово имеет несколько переводов, `
        + `Вы можете ввести их все через запятую.\n`
        //
        + `Описание слова - если Вы хотите написать для себя некоторый комментарий к слову, `
        + `в каких случаях оно используется или чем оно отличается от другого, похожего по смыслу слова.\n`
        //
        + `Пример - пример использования этого слова в виде предложения.\n`
        //
        + `Дополнительные переводы, описание слова и пример - не обязательные поля для заполнения, `
        + `Вы можете их ${skipBtn.text} чтобы перейти к следующему пункту ввода, `
        + `Вы можете досрочно ${saveBtn.text} слово, если Вы ввели обязательные поля, `
        + `если Вы хотите вернуться на шаг назад чтобы ввести изменения вы можете это сделать нажав `
        + `на кнопку ${backBtn.text}, ну а если Вы и вовсе передумали добавлять это слово, `
        + `просто нажмите ${cancelBtn.text}.\n`
        // ----------------------------------------------------------
        + `/${showWordsScene.cmd} - ${showWordsScene.label}:\n`
        //
        + `Постраничный просмотр списка слов и прогресса в их изучении, слово из списка `
        + `можно удалить или изменить.`
        // ----------------------------------------------------------
    );
};

export default greeting;
